#include<iostream>
using namespace std;
int deli(long long br)
{   int k=0;
    while(br>=1)
    {
        br=br/10;
        k++;
    }
    return k
long long mnozi(long long br,int k)
{
    while(k>0)
    {
        br=br*10;
        k--;
    }
    return br;
}
int main()
{
    long long b1,b2,b3,k1,k2,k3,br1,br2,br3,rez;
    cin>>b1>>b2>>b3;

    k1=deli(b1);
    k2=deli(b2);
    k3=deli(b3);
    if(mnozi(b2,k3)>mnozi(b3,k2))
        br1=mnozi(b1,k2+k3)+mnozi(b2,k3)+b3;
    else
        br1=mnozi(b1,k2+k3)+mnozi(b3,k2)+b2;
    if(mnozi(b1,k3)>mnozi(b3,k1))
        br2=mnozi(b2,k1+k3)+mnozi(b1,k3)+b3;
    else
        br2=mnozi(b2,k1+k3)+mnozi(b3,k1)+b1;
    if(mnozi(b2,k1)>mnozi(b1,k2))
        br3=mnozi(b3,k1+k2)+mnozi(b2,k1)+b1;
    else
        br3=mnozi(b3,k1+k2)+mnozi(b1,k2)+b2;
   
    rez=max(br3,max(br1,br2));
    cout<<rez;
    return 0;

}